www.cendio.com
Bug 5360 - Remove Client support for Windows XP, 2003, 2003 R2, Vista, and 2008
: Remove Client support for Windows XP, 2003, 2003 R2, Vista, and 2008
Status: CLOSED FIXED
: ThinLinc
Client platforms
: 4.2.0
: PC Unknown
: P2 Normal
: 4.8.0
Assigned To:
:
:
:
: 2672 5618 5879
  Show dependency treegraph
 
Reported: 2014-11-18 14:08 by
Modified: 2017-03-20 17:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-11-18 14:08:42
At some point in the future, we should remove official support for running the
ThinLinc Client on Windows XP. When this can be done depends on many relevant
client machines are still running XP. According to
http://www.netmarketshare.com/operating-system-market-share.aspx?qprid=10&qpcustomd=0,
XP is on 17.18%, which is still fairly high.
------- Comment #2 From cendio 2015-07-15 10:34:27 -------
Some interesting data points are how other application vendors are behaving.

Chrome was planning on dropping support now in April when Microsoft finally
decided to stop extending their support and let XP die. They backtracked on
that however and are now planning on dropping support at the end of 2015.

Firefox has not yet given any official plans for when they'll drop XP support.

Citrix dropped support for XP as a client the same time Microsoft did (April
2015), as did VMware.

Nomachine still supports XP. No information on what their plans are.
------- Comment #3 From cendio 2015-08-11 13:15:54 -------
Wikipedia has some good information about the status of the embedded variants:

https://en.wikipedia.org/wiki/Windows_XP#Support_lifecycle

"Variants of Windows XP for embedded systems have different support policies:
Windows XP Embedded SP3 will be supported until January 2016. Windows Embedded
Standard 2009 and Windows Embedded POSReady 2009, will be supported through
January and April 2019, respectively.[110]"
------- Comment #5 From cendio 2016-01-05 14:16:45 -------
One question is if we should raise the minimum requirement to Vista or Windows
7. According to these:

https://www.netmarketshare.com/operating-system-market-share.aspx?qprid=10&qpcustomd=0
http://www.statista.com/statistics/218089/global-market-share-of-windows-7/

...the market share is about 1.7%. 

Google Chrome will require Windows 7 in April, according to
http://chrome.blogspot.se/2015/11/updates-to-chrome-platform-support.html

Citrix, on the other hand, still supports Vista:
https://www.citrix.com/downloads/citrix-receiver/windows/receiver-for-windows-latest.html


We've decided to raise the requirement to Windows 7.
------- Comment #8 From cendio 2016-01-11 15:19:41 -------
I have verified that the code changes looks good. I have not found any mentions
of windows xp in our documentation.

I have verified that a warning saying "This windows version is not supported"
pops up on Windows XP and Vista in all the following cases:
* Starting the ThinLinc client installer
* Starting the Client Customizer installer
* Starting an installed ThinLinc client
* Starting a tlclient.exe from a bundle directory

I have also verified that the client still works on Vista and not on Windows
XP.

I have verified that the warning does not show up on Windows 7, 8 or 10, and
the client still works.

What remains to test is the windows server versions.
------- Comment #9 From cendio 2016-01-11 15:27:18 -------
Found something quite interesting when running build 4999 of the client on
Windows XP:

Normally when you try to login you get an error message saying
"The procedure entry point InitializeConditionVariable could not be located in
the dynamic link library KERNEL32.dll"

BUT if you run the client directly from the installer (leave the "Run the
ThinLinc client"-box ticked at the end of the installation) it will not show
any error.
------- Comment #10 From cendio 2016-01-13 18:04:42 -------
I have verified that the warning pops up on Windows server 2003 and 2008. I
have also verified that the client still works on 2008 and not on 2003.

I have verified that the warning does not show up and everything works fine on
2008r2 and 2012.
------- Comment #11 From cendio 2016-04-12 14:38:08 -------
We've decided to keep XP around for one more release, so we need to revert the
changes here.
------- Comment #13 From cendio 2016-04-21 12:31:52 -------
Verified build 5099 on Windows XP. Both installer and tlclient.exe are not
reporting "unsupported platform."

Works as expected.
------- Comment #14 From cendio 2016-04-21 13:14:29 -------
Reopening and moving this bug to '---' since we haven't actually removed
support for XP and friends yet.
------- Comment #15 From cendio 2016-11-16 07:43:21 -------
ThinLinc TAG does not mentioned the affected version in combination with the
client. Also i could not found any information at www.cendio.com. Seems like
reverting the commit is good enough.
------- Comment #16 From cendio 2016-11-16 10:59:43 -------
(In reply to comment #15)
> ThinLinc TAG does not mentioned the affected version in combination with the
> client. Also i could not found any information at www.cendio.com. Seems like
> reverting the commit is good enough.

A miss made by me, TAG does mention supported client platforms which includes
the affected version. see: clientplatforms.xml
------- Comment #20 From cendio 2016-11-23 16:12:34 -------
I have verified that the documentation looks good and that it doesn't mention
Windows XP, 2003, 2003R2, Vista or 2008.

I have also verified that the "unsupported"-warning pops up for the client and
the customizer on XP and Vista. Used build 5298. Seeing as the server versions
were verified a couple of months ago, before the revert, I'm satisfied with
this.

What remains is to remove the XP-specific hacks done for bug 5618.
------- Comment #23 From cendio 2016-12-03 01:10:43 -------
(In reply to comment #20)
> What remains is to remove the XP-specific hacks done for bug 5618.

Should be all done now.

Build works fine, client works fine on Windows 10. Tester should mainly verify
the code changes and perhaps test the client on some other platform as well.
------- Comment #24 From cendio 2016-12-05 10:02:08 -------
Before closing this bug:

* compare the tigervnc diff with our vendor tree, there should be fewer
ThinLinc specific changes now
* look if there are any further mentions of these platforms or any special code
left
------- Comment #25 From cendio 2016-12-07 11:08:36 -------
No special hacks left in TigerVNC and nothing obvious left in the tree that is
XP related.